org.fourthline.cling.model.action

## Class RemoteActionInvocation

- java.lang.Object
- - org.fourthline.cling.model.action.ActionInvocation
  - - org.fourthline.cling.model.action.RemoteActionInvocation

-     public class RemoteActionInvocation
      extends ActionInvocation

  An action invocation by a remote control point.
  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RemoteClientInfo` | `remoteClientInfo`

    - ### Fields inherited from class org.fourthline.cling.model.action.ActionInvocation

      `action, clientInfo, failure, input, output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteActionInvocation(Action action, ActionArgumentValue[] input, ActionArgumentValue[] output, RemoteClientInfo remoteClientInfo)`
    `RemoteActionInvocation(ActionException failure, RemoteClientInfo remoteClientInfo)`
    `RemoteActionInvocation(Action action, RemoteClientInfo remoteClientInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteClientInfo` | `getRemoteClientInfo()`

    - ### Methods inherited from class org.fourthline.cling.model.action.ActionInvocation

      `getAction, getClientInfo, getFailure, getInput, getInput, getInput, getInputArgument, getInputMap, getOutput, getOutput, getOutput, getOutputArgument, getOutputMap, setFailure, setInput, setInput, setInput, setOutput, setOutput, setOutput, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### remoteClientInfo

          protected final RemoteClientInfo remoteClientInfo

  - ### Constructor Detail

    - #### RemoteActionInvocation

          public RemoteActionInvocation(Action action,
                                ActionArgumentValue[] input,
                                ActionArgumentValue[] output,
                                RemoteClientInfo remoteClientInfo)

    - #### RemoteActionInvocation

          public RemoteActionInvocation(Action action,
                                RemoteClientInfo remoteClientInfo)

    - #### RemoteActionInvocation

          public RemoteActionInvocation(ActionException failure,
                                RemoteClientInfo remoteClientInfo)

  - ### Method Detail

    - #### getRemoteClientInfo

          public RemoteClientInfo getRemoteClientInfo()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.